blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
2c3d368352edf7496ccbbdc2ab409f37b8a3e908
Shell
sseago/ocp-migration-scripts
/dockerfiles/migration-restore/image-restore.sh
UTF-8
1,349
3.390625
3
[]
no_license
#!/bin/bash # image-backup.sh MIGRATION_REGISTRY MIGRATION_REGISTRY [BACKUP_NAME] set -x sleep 3 export KUBECONFIG=/.kube/config export AWS_SHARED_CREDENTIALS_FILE=/.aws/credentials # defines OC_USER, OC_PASSWORD, S3_BUCKET . /migration-env.sh MIGRATION_REGISTRY=$1 if [ -z "$2" ] then BACKUP_NAME=poc-backup else...
true
adcf70cd63bea1d01034275ac6cc1f740813f797
Shell
felixrieseberg/Jaglion-Workbench
/core/server/bin/s5-translate.sh
UTF-8
1,335
2.75
3
[]
no_license
#!/usr/bin/env sh # # Input arguments DATADIR="$1" CONFIGDIR="$2" OUTPUTBASE="$3" # Translate in HDInsight JOBID=$(curl -u %storageusername%:%storagepassword% -d user.name=%storageusername% -d mdt.attribute_file_delimeter=\; -d mdt.dump_index=4 -d mdt.additional_info_index_delimeter=\; -d mdt.additional_info_index=0\...
true
239419169f62e5cb01503c5a18816e8c7a4d21b3
Shell
nicktrav/cilium-debugging
/scripts/install_load_test.sh
UTF-8
388
3.09375
3
[]
no_license
#!/usr/bin/env bash set -euo pipefail _dir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" _chart_dir="$_dir/../manifests/load-test" echo "Creating load-test namespace ..." kubectl create ns load-test || true echo "Installing load-test Helm chart ..." helm upgrade \ load-test \ "$_chart_dir"...
true
aeb2ece1d19d2a4362a4c29625f72a329fc7e765
Shell
Sunmxt/wing
/controller/sae/runtime/builder/runtime_image.sh
UTF-8
28,179
3.671875
4
[]
no_license
sar_import builder/common.sh sar_import builder/ci.sh sar_import builder/validate.sh sar_import settings/image.sh sar_import utils.sh _runtime_image_stash_prefix() { local prefix=$1 local env=$2 local tag=$3 `hash_for_key "$prefix" "$env" "$tag"` } _runtime_image_stash_prefix_by_context() { eval "...
true
2b3280e6f6ed68291f1b0b436a216a913f5b956e
Shell
clementval/hpc-scripts
/ecmwf/offline.claw_install.step1_ecgate
UTF-8
1,196
3.296875
3
[]
no_license
#!/bin/bash # # This scripts helps to pack an offline version of the claw-compiler repository # to be build on LXG cluster. This script needs to be executed on the ecgate. # COMPUTER=$(hostname) CLAW_BRANCH="master" CLAW_REPO="https://github.com/C2SM-RCM/claw-compiler.git" # Load recent version of git module load git...
true
c5b0c1a69985ed135f292934458870a6ee59e550
Shell
zzzbra/dotfiles
/bash_profile
UTF-8
8,590
2.734375
3
[]
no_license
# _ _ __ _ _ # | |__ __ _ ___| |__ _ __ _ __ ___ / _(_) | ___ # | '_ \ / _` / __| '_ \ | '_ \| '__/ _ \| |_| | |/ _ \ # | |_) | (_| \__ \ | | | | |_) | | | (_) | _| | | __/ # |_.__/ \__,_|___/_| |_| | .__/|_| \___/|_| |_|_|\___| # |_| # =========...
true
17cbce9355072002018ba640d8ad2cb724a8aff2
Shell
peppelinux/rk3066a-box-4.4
/rootfs/debian_init.sh
UTF-8
1,699
2.9375
3
[]
no_license
#!/bin/sh /debootstrap/debootstrap --second-stage for f in $(busybox --list-full | grep -v readlink); do [ -e $f ] || ln -s /bin/busybox $f; done cat > etc/apt/sources.list << EOF deb http://mirrors.ustc.edu.cn/debian/ jessie main contrib non-free #deb http://mirrors.ustc.edu.cn/debian/ jessie-backports main contrib...
true
983fd261066a380179c0b3a154b7bc5a8c90d678
Shell
Teamprojekt-HSTrier/Bidirektionales-Kommunikationssystem
/FAX/installFAX.sh
UTF-8
2,153
3.671875
4
[]
no_license
#!/bin/bash #Alle benötigten Komponenten, welche für den FAX versand benötigt werden installiert sudo apt-get -y install hylafax-server gammu sudo faxadduser -p raspberry -u 1002 root #Ermitteln der Modem Schnittstellt, indem alle Seriellen Schnittstellen ausgelesen werden und nach Modem gefiltert wird. while read li...
true
6aa16a39a432bb0c8171678093ef8d97ab178f25
Shell
gmoshkin/dotfiles
/ctrlp_cache.sh
UTF-8
521
3.75
4
[]
no_license
#!/bin/bash source ~/dotfiles/utils.sh CTRLPCACHE=~/.cache/ctrlp DIRSLISTFILE=~/.config/ctrlp_cache_dirs # XXX won't work if you put spaces in directory names so don't do it for d in $(cat $DIRSLISTFILE); do # this expands '~' to home directory, don't you just love bash? eval d=$d f="${CTRLPCACHE}/$(echo ...
true
59616337022c427c5edadcbc61dd4ae1261bcc42
Shell
maryno-net/py-project
/debian/usr/bin/py-proj
UTF-8
335
2.90625
3
[ "MIT" ]
permissive
#!/bin/sh # Making temp folder for python eggs [ -d ~/.python-eggs ] || mkdir -p ~/.python-eggs # Changing rights to supress warnings chmod g-wx,o-wx ~/.python-eggs # Virtualenv path PYTHON=/usr/lib/py_proj/bin/python # Path to the script that must run under the virtualenv SCRIPT=/usr/lib/py_proj/bin/py_proj $PYTH...
true
2ceb5ef6e6942515f32a1ff2c90a028f3ba6ef5c
Shell
makyos/dotfiles
/bashrc
UTF-8
6,472
2.671875
3
[]
no_license
#!/bin/bash export BASH_SILENCE_DEPRECATION_WARNING=1 export PATH=/usr/local/sbin:$PATH export PATH=~/bin:$PATH export LANG=ja_JP.UTF-8 export LESSCHARSET=utf-8 export CLICOLOR=1 #export LSCOLORS=GxFxCxDxBxegedabagaced #alias node="~/node/node-v13.12.0-linux-x64/bin/node" #alias npm="~/node/node-v13.12.0-linux-x64/...
true
751f7ca919657c703351f1d7588321ce1063e385
Shell
binghuan/sample_video_downloader
/download.sh
UTF-8
1,918
3.734375
4
[]
no_license
#!/bin/sh echo "/**********************************************" echo "/* Author: BH_Lin" echo "/* Tool to download videos for Demo" echo "**********************************************/" fileHost="https://my.cdn.tokyo-hot.com/media/samples/" webHost="https://www.tokyo-hot.com/product/" fileExtension=".mp4" STARTED_IN...
true
77a4dba451f851d4046a9a90fd96b054c2b78dfa
Shell
arssher/conf
/bash/.bash_scripts/bin/split_pdf.sh
UTF-8
302
3.515625
4
[]
no_license
#!/bin/bash # Split each pdf in curr dir into single page ones for pdf in *.pdf; do numpages=$(qpdf --show-npages ${pdf}) for i in $(seq 1 ${numpages}); do outf="${pdf%.*}_${i}.pdf" echo "extracting page ${i} of file ${pdf} to ${outf}" pdftk "${pdf}" cat $i output "${outf}" done done
true
ae34cca0156ebddb9eccf6f899fdc90d83f66495
Shell
jgordon3/VACC_scripts
/run_STAR_on_SGE.sh
UTF-8
4,819
3.75
4
[]
no_license
#!/bin/bash #$ -N STAR #$ -cwd #$ -j y # Request [num] amount of [type] nodes #$ -pe threads 8 # STAR path: /slipstream/galaxy/production/galaxy-dist/tools/star/STAR ######################## DEFAULTS ############################################# DATE=`date`; GENOME="hg38"; NAME="J. Gordon"; RECIPE="SE"; MODE="RNA"; ...
true
738f9d28a226ea24ed078777bee8b6b4404bc002
Shell
nfaction/ubuntu-install
/setup-ssh.sh
UTF-8
1,510
3.609375
4
[]
no_license
#!/bin/bash echo "Setting up SSH..." ########################### # Setting up root account # ########################### mkdir -p /root/.ssh;chmod 700 /root/.ssh;cd /root/.ssh;mkdir -p /root/.ssh/tmp;touch /root/.ssh/authorized_keys ########################### # Setting up user account # ########################### ...
true
318994a76bb2bd6fde6ce85ad8aebffd01d4b78e
Shell
echolevel/protracker
/make-linux.sh
UTF-8
472
2.640625
3
[ "WTFPL" ]
permissive
#!/bin/bash rm release/protracker &> /dev/null echo Compiling, please wait... gcc src/*.c src/gfx/*.c -lSDL2 -lm -ldl -Wall -Wno-unused-result -Wc++-compat -Wshadow -Winit-self -Wextra -Wunused -Wunreachable-code -Wredundant-decls -Wswitch-default -march=native -mtune=native -O3 -o release/protracker rm src/*.o src/...
true
b82d427a5febbb6f942fac3d6476d1eb3049e21b
Shell
jefferickson/dotfiles
/languages/.esperanto-word.sh
UTF-8
642
2.875
3
[]
no_license
#! /bin/bash ## USAGE: ./.esperanto-word.sh VORTO WORD ## Where VORTO is the Esperanto word you want to search and WORD is the English translation (for image search). echo "Search: $1 ($2)" echo -n $1 | pbcopy /Applications/Firefox.app/Contents/MacOS/firefox \ --new-tab "https://eo.wiktionary.org/wiki/$1#Espera...
true
4375b6e72ca4600dcf455f18badf5c0d3cbe441a
Shell
WolverinDEV/TDFT
/core/src/main/cpp/compile.sh
UTF-8
558
3.296875
3
[]
no_license
#!/bin/bash # shellcheck disable=SC2046 cd $(dirname "$0") || exit 1 if [[ -z ${JAVA_INCLUDE_DIR} ]]; then echo "Please specify where to find the jni headers. (JAVA_INCLUDE_DIR)" exit 1 fi if [[ ! -e "${JAVA_INCLUDE_DIR}/jni.h" ]]; then echo "Invalid java include dir: ${JAVA_INCLUDE_DIR}" echo "Missing jni.h"...
true
79d182ebcfddb2ae3700d6e0d5617956dabe1baf
Shell
NVIDIA/TensorRT
/demo/Tacotron2/scripts/download_checkpoints.sh
UTF-8
1,211
3.109375
3
[ "Apache-2.0", "BSD-3-Clause", "MIT", "ISC", "BSD-2-Clause" ]
permissive
#!/bin/bash # # Copyright (c) 2021, NVIDIA CORPORATION. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless requ...
true
eba2ca15206d28df45b97c45b02bd8b50ef1869e
Shell
connormckelvey/dotfiles
/emacs/setup
UTF-8
449
3.515625
4
[]
no_license
#!/bin/bash -e DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)" source "$DIR/../lib/util" is_installed() { test -f ~/.emacs.d/spacemacs.mk } install() { rm -rf ~/.emacs.d git clone https://github.com/syl20bnr/spacemacs ~/.emacs.d cd ~/.emacs.d git checkout -b develop origin/develop } is_configured() { ...
true
216893531d159a555ad9c07d6bfa2f108de518a1
Shell
rosanasoriano/jaks-post-config
/scripts/config-pam-wheel
UTF-8
4,887
4.25
4
[ "MIT" ]
permissive
#!/bin/bash # Default file=/etc/pam.d/su # Specify stack to create haystack from (account|auth|password|session) type="auth" # Specify a mode (control) for the module [requisite|required|sufficient|optional] mode="required" # Array of key / value options for pam_wheel # For a complete list please consult man(5) pam...
true
412908d9caf3e4d143e4ec08b3cc730ebce8dc18
Shell
tracyone/shell_script
/clean_ubuntu.sh
UTF-8
460
3.265625
3
[]
no_license
#!/bin/bash sudo apt-get autoclean sudo apt-get clean sudo apt-get autoremove echo -e "Clean usless kernel ...\n" current_kernel=$(uname -a | grep -E -o '[0-9]+\.[0-9]+\.[0-9]+-[0-9]+') remove_list=$(sudo dpkg --get-selections |grep -E -o '^linux-(headers|image)[^ ]*-[0-9]+\.[0-9]+\.[0-9]+-[0-9]+[^ ]*\s' | grep -v...
true
71444e6b3749920e0f1af9b7df646eb55362f3ff
Shell
LSDtopotools/lsdtt_pcl_docker
/Start_LSDTT.sh
UTF-8
1,134
3.578125
4
[ "MIT" ]
permissive
#!/bin/bash # This is a startup script for LSDTopoTools # It clones the LSDTopoTools2 repository into the LSDTopoTools directory # it then builds the code from there. # Author: SMM # Date: 08/10/2018 # clone or pull the repo, depending on what is in there # check if the files have been cloned if [ -f /LSDTopoTools/L...
true
f19744774eb512b629aaffe4406ae77085afc8b2
Shell
bseeger/fedora4-tests
/config.tmpl
UTF-8
1,323
3.3125
3
[]
no_license
#!/bin/bash # Copy this file to "config" and update to reflect your local settings CWD=$(pwd) # If you want to test with mvn jetty:run -Pwebac, set this to 1 to use the correct users and passwords. USE_JETTY=0 if [ "$USE_JETTY" -eq 1 ]; then # Admin user AUTH_USER="admin1" AUTH_PASS="password3" # User 2 A...
true
b46eea1f5f3cff5a9720abb7d621918e781fd8ac
Shell
GitWyd/Titan
/setup.sh
UTF-8
424
3.1875
3
[ "LicenseRef-scancode-warranty-disclaimer", "Apache-2.0" ]
permissive
#!/bin/bash gtestpath="lib/googletest" vcpkgpath="lib/vcpkg" # setup googletest if [ ! -d "$gtestpath" ]; then git clone https://github.com/google/googletest.git $gtestpath cd $gtestpath git checkout -q release-1.10.0 cd ~- # change back to previous dir and no output to terminal fi sudo apt-get insta...
true
2a41963592b9bf1178f2a62002204df67fa29fc4
Shell
sakhiAnand/s4fosslab
/untilcount.sh
UTF-8
82
2.796875
3
[]
no_license
#! /bin/sh i=1 until [ $i -gt $1 ] do echo $i "\n" i=$(( i + 1)) done
true
ee9355777cf462197c1abf6a13bd532fe83242b7
Shell
Tier3SW/ATLASLocalRootBase
/testing/scripts/git/functions-Linux.sh
UTF-8
2,715
3.46875
3
[]
no_license
#!---------------------------------------------------------------------------- #! #! functions-Linux.sh #! #! functions for testing the tools #! #! Usage: #! not directly #! #! History: #! 08Mar18: A. De Silva, First version #! #!---------------------------------------------------------------------------- #!---...
true
5870544079d92ab111d7a9504a25d2ab2aaff08c
Shell
lsy521/ClusterBuildScripts
/install/config-yarn-CPU-RAM.sh
UTF-8
7,403
3.625
4
[]
no_license
#!/bin/bash ################################################################################ ## Copyright: HZGOSUN Tech. Co, BigData ## Filename: config-yarn-CPU-RAM.sh ## Description: 配置yarn的CPU和内存 ## Version: 1.0 ## Author: liusiyang ## Created: 2017-12-11 ###########################################...
true
966c5218b8519ce33a08fcde057876d8173f5d46
Shell
AhiGan/learnable-deep-priors
/experiments/run.sh
UTF-8
2,939
2.921875
3
[]
no_license
#!/bin/bash run_file='../src/main.py' folder_data='../data' gpu='0' use_pretrained=1 if (( $use_pretrained == 0 )); then train_list='1 0' else train_list='0' fi # Multi-Shapes 20x20 dataset='shapes_20x20' folder_base=$dataset if [ ! -d $folder_base ]; then mkdir $folder_base fi path_data=$folder_data'/'$d...
true
e6404ce338b12509509637567be81cc1db812301
Shell
starshipcoin/starshipsha
/contrib/init/starshipshad.init
UTF-8
1,392
3.640625
4
[ "MIT" ]
permissive
#!/bin/bash # # starshipshad The starshipsha core server. # # # chkconfig: 345 80 20 # description: starshipshad # processname: starshipshad # # Source function library. . /etc/init.d/functions # you can override defaults in /etc/sysconfig/starshipshad, see below if [ -f /etc/sysconfig/starshipshad ]; then ....
true
a5ed9a5bd0616baafb59e70882a51b71806222b6
Shell
miguelverissimo/dotfiles
/modules/development.module
UTF-8
4,973
2.5625
3
[]
no_license
# vi: ft=bash # load the creds # source ~/.pn_anonymize_creds rall() { redit tmux new-window rsupport tmux select-window -t ! } redit() { tmux rename-window 'rb edit' tmux split-window -vp 15 tmux split-window -hp 45 tmux send-keys -t 1 'nix-shell' Enter tmux send-keys -t 1 'nvim' Enter tmux send...
true
88521408748df77d05fa7aca0363739036fb552a
Shell
petronny/aur3-mirror
/dvb-usb-rtl2838u-arch/PKGBUILD
UTF-8
1,136
2.890625
3
[]
no_license
# Maintainer: Peter Ivanov <ivanovp@gmail.com> # Based on dvb-usb-rtl2832u-arch, author DonVla <donvla@users.sourceforge.net> pkgname=dvb-usb-rtl2838u-arch _kernelname="-ARCH" #_kernelname="-ck" _kversion="3.1.5" pkgver=1.1_${_kversion} pkgrel=1 pkgdesc="Kernel module for the RTL2832U, RTL2836U and RTL2838U DVB-T USB2...
true
d91cdb1cafbfb454915674662032c3e84ef13c16
Shell
dhalperi/continuous-integration
/buildkite/setup-ubuntu.sh
UTF-8
15,152
3.234375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Copyright 2018 The Bazel Authors. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by...
true
546256033bc3fbd71a06ad33148bfe36e617d2c7
Shell
nawalgupta/openkit-server
/cloud_images/scripts/create_start_gameeso.sh
UTF-8
1,572
3.3125
3
[]
no_license
echo "Creating Gameeso Boot configuration..." cat >/etc/init/gameeso.conf <<EOL description "Gameeso Game Backend" start on (local-filesystems and net-device-up IFACE!=lo and started mysql) stop on shutdown script exec /usr/bin/start_gameeso end script EOL # Upstart doesnt work on Docker for obvious reasons, so we ...
true
ff5bb9419af9fa99e3ec505287240d04298bf4b3
Shell
ambarish510/maven-multimodule-jacoco
/mvn-junit-jacoco/deb/usr/share/fk-build-test/start.sh
UTF-8
481
2.8125
3
[]
no_license
#!/bin/bash . /usr/share/$PACKAGE/prepare_runtime.sh echo "Starting service: $PACKAGE" echo "sudo -u $USER $JAVA_HOME/jre/bin/java $JAVA_OPTS -jar $CLASSPATH --spring.config.location=file:/etc/$PACKAGE/build-metrics-collector.properties" sudo -u $USER $JAVA_HOME/jre/bin/java $JAVA_OPTS -jar $CLASSPATH --spring.config...
true
661fb1e6f8166c9fb3668fca8bf9588bbbe5d949
Shell
josedejesusAmaya/Terraform-AWS
/lesson01/templates/user_data.sh.tpl
UTF-8
506
3.4375
3
[]
no_license
#!/bin/bash # # Installs Docker, and runs a container # Updates packages yum update -y # Installs Docker yum install -y docker # Starts Docker service service docker start # Allows ec2-user to execute Docker usermod -a -G docker ec2-user # Runs a Docker container with image ${docker_image}:${docker_tag} # - runs c...
true
10dcc37795eb9d70e604097b7cac0cdb5fd0bda5
Shell
ekuric/noobaa-core
/src/deploy/rpm/create_rpm.sh
UTF-8
2,994
4.15625
4
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash export PS4='\e[36m+ ${FUNCNAME:-main}@${BASH_SOURCE}:${LINENO} \e[0m' set -x spec_name="noobaa.spec" files_location="/tmp/" OPTIONS=$( getopt -o 'h,l:' --long "help,location:" -- "$@" ) eval set -- "${OPTIONS}" function usage(){ set +x echo "$0 [options]" echo -e "\nPlace the noobaa tarball,...
true
daae4872ad959351c85b7d6af52cff613b20177b
Shell
michaelsalisbury/builder
/defaults/defaults.cifs-ucf.edu.mount.sh
UTF-8
1,763
3.578125
4
[]
no_license
#!/bin/bash # Depends on cifs-utils and winbind # Ubuntu 12.10 does not support options; forceuid, forcegid read -d $'' awk << END-OF-AWK {if ((\$1 == "$(whoami)")||(\$3 == "$(whoami)")) {print \$1" "\$3" "\$4" "\$6;} } END-OF-AWK read username uid gid home < <(awk -F: "${awk}" /etc/passwd) # These options worke...
true
7612bdc687f07da9eed1add19ac61f8e1993eb5e
Shell
shambalulu/enterprise-installation
/setup-worker.sh
UTF-8
1,285
3.328125
3
[]
no_license
#!/bin/bash set -e export DEBIAN_FRONTEND=noninteractive wget -qO- https://get.docker.io/gpg | apt-key add - echo deb http://get.docker.io/ubuntu docker main > /etc/apt/sources.list.d/docker.list apt-get update apt-get install -y linux-image-extra-`uname -r` lxc lxc-docker-1.0.0 if [[ $AWS ]]; then DOCKER_MO...
true
c7df564289a60d0327451535cfd982449fda90a2
Shell
nobu666/dotfiles
/setup.sh
UTF-8
757
3.046875
3
[]
no_license
#!/bin/bash set -e for file in $(find . -name '.*' | grep -v "^.$" | xargs basename) do ln -fs $(pwd)/${file} ${HOME}/${file} done if ! PATH=~/bin:$PATH type -P diff-highlight >/dev/null 2>&1; then ( for d in /usr/local/share /usr/share; do if [[ -x $d/git-core/contrib/diff-highlight/diff-highlight...
true
7dd6bf134e6c4ad8e17af11f0b2b7a0debb6eac5
Shell
PengWEI9/Vix
/myki-utils/.svn/pristine/7d/7dd6bf134e6c4ad8e17af11f0b2b7a0debb6eac5.svn-base
UTF-8
1,046
2.890625
3
[]
no_license
#!/bin/bash ################################################################################# # # Vix Technology Licensed software # (C) 2015 All rights reserved # #============================================================================== # # This is a wrapper ar...
true
91f976b8c5b99b217ea389332052547843c1a729
Shell
amhuber/logsearch-boshrelease
/jobs/curator/templates/bin/pre-start
UTF-8
1,054
2.90625
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash set -eu # Wait for os-config script to complete sleep 15 while true; do if ! ps aux | grep os-config/bin/pre-start | grep -q -v grep; then break fi echo "Waiting for os-config to complete..." sleep 15 done apt-get install -y python3-pip pip install --no-index --find-links /var/vcap/...
true
480f74cc37826e8df464f7045d8eb9acfaf482a4
Shell
robier/dokman
/src/helpers/styleText.sh
UTF-8
1,257
3.84375
4
[ "MIT" ]
permissive
#!/usr/bin/env bash ### # Style given text # # @param1 string Message # @param2... string Style ### function styleText { local message="${1}" if ! isRichText ; then echo -en "${message}" return fi # shellcheck disable=SC2034 local STYLE_bold='\033[97;1m' # shellcheck dis...
true
a66b172d5eb3676a1eb0a013963819f0b1e2f213
Shell
npmitchell/morphsnakes_wrapper
/run_morphsnakes_single_growDemo.sh
UTF-8
2,765
2.71875
3
[]
no_license
# Example with parameters set for CAAX excellent # # Construct mesh for each timepoint datDir="/mnt/crunch/48Ygal4UASCAAXmCherry/201902072000_excellent/Time6views_60sec_1p4um_25x_obis1p5_2/data/deconvolved_16bit/"; cd $datDir tp=85; for (( num=51; num<=100; num++ )); do tpx=$(printf "%03d" $(( tp ))); ...
true
8e30089e73b56c3f59858333cfc3c04bcf041169
Shell
SixTrack/SixDesk
/old/sixjobs/compare_scripts
UTF-8
422
2.75
3
[]
no_license
#!/bin/sh for i in `ls` do if test "$i" != "backup" then echo "=======================" echo "$i" echo "=======================" # diff $i ~/w27may09/sixjobs/scripts/$i # diff ~/w10mar09pro/sixjobs/scripts/$i $i # diff ~tpieloni/w1/sixjobs/scripts/$i $i # diff $i ~/w3march10/sixjobs/script...
true
f491964a14c7c8a2c5167faff93be2998bf8c79c
Shell
mr6r4y/set-ups
/install-base-dev.sh
UTF-8
505
3.0625
3
[]
no_license
#!/bin/bash #: Title: install-base-dev.sh #: Description: Installation of Python, Ruby, build-essential, etc SCRIPT_DIR="$(dirname "$(readlink -f "$0")")" source "$SCRIPT_DIR/lib/common.sh" source "$SCRIPT_DIR/config.sh" set -e sudo apt-get update sudo apt -y install git git-lfs \ vim \ fonts-dejavu \ ...
true
d90b8f176e10aa3325f03fad76af11316e0bdea8
Shell
legacy-codedigger/aix-4.1.3
/aix-4.1.3/bldenv/bldtools/bldhistorypath.sh
UTF-8
906
2.859375
3
[]
no_license
#! /bin/ksh # @(#)47 1.3 src/bldenv/bldtools/bldhistorypath.sh, bldtools, bos412, GOLDA411a 1/21/92 17:57:09 # # COMPONENT_NAME: (BLDTOOLS) BAI Build Tools # # FUNCTIONS: bldhistorypath # # ORIGINS: 27 # # (C) COPYRIGHT International Business Machines Corp. 1991, 1992 # All Rights Reserved # Licensed Materials - Pr...
true
76f288999a2f7445d69a46f61e2c18896b4d1c15
Shell
AdevintaSpain/Leku
/install_codestyle.sh
UTF-8
819
3.4375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Installs Schibsted's IntelliJ configs into your user configs. echo "Installing Schibsted IntelliJ configs..." CONFIGS="./config" for i in $HOME/Library/Preferences/IntelliJIdea* \ $HOME/Library/Preferences/IdeaIC* \ $HOME/Library/Preferences/AndroidStudio* \ $HOME/.In...
true
bb7abc37fd965879df2b8b64df36da54dd8866e5
Shell
chischaschos/code-examples
/bash-examples/variables.sh
UTF-8
509
3.328125
3
[]
no_license
#!/usr/bin/bash BLA=asdfjasdf BLA2="$BLA . asdf" BLA3=${BLA}asdf echo $BLA echo $BLA2 echo $BLA3 # no spaces between LH and RH v1="123" # the spaces on the left will be included v2="asdf\ 123\ 456\ asdf" echo $v1 echo $v2 # or heredocs http://tldp.org/LDP/abs/html/here-docs.html cat <<-mytabssupressednotspa...
true
144eb14a07bcfd0361c1e8aa88ce2ad5ad08d7db
Shell
padsof-uam/Inteligencia-Artificial
/P1/a.sh
UTF-8
2,272
3.515625
4
[]
no_license
#Clean rm Memoria/* rm Memoria.* files_lsp=$(ls *.lisp) echo $files_lsp for file in $files_lsp ; do codes=$(awk '/;;%%/{n++}{print > f n}' f=code $file) functions=$(ls code*) for fun in $functions; do name_arg=$(cat $fun | grep defun | awk -v FS="defun " '{print $2}') name=$(echo $name_arg | cut -d '(' -f 1 | cu...
true
9260f7454128dfb37cc6f68119d802a21f751c99
Shell
nnstreamer/TAOS-CI
/ci/taos/plugins-good/pr-prebuild-indent.sh
UTF-8
3,377
3.21875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash ## # Copyright (c) 2018 Samsung Electronics Co., Ltd. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # http://www.apache.org/licenses/LICENSE-2....
true
674604e0ce5fcdec80e9fa99f77f138848ae7e7c
Shell
outeredge/dredger
/dredger
UTF-8
2,266
3.734375
4
[ "MIT" ]
permissive
#!/bin/bash # Check if Dredger is running on Eclipse Che if [ -n "$CHE_PROJECTS_ROOT" ] then if tty -s then fgRed=$(tput setaf 1) fgGreen=$(tput setaf 2) fgNormal=$(tput sgr0) fgBold=$(tput bold) fi hash jq 2>/dev/null || { echo -e >&2 "${fgRed}I require jq when running in Eclipse Che but it's...
true
8595e2950c7941ab55ec70924994352950c94ff5
Shell
0x000NULL/S-GUI
/Linux/IGNOREMEEEEE/include/profiles
UTF-8
5,577
3.640625
4
[]
no_license
#!/bin/sh ################################################################################# # # hardeningone # ------------------ # # Copyleft GPL3 2010-2011, Mauro Risonho de Paula Assumpcao (mauro.risonho@gmail.com), # Web site: # # hardeningone comes with ABSOLUTELY NO WARRANTY. This is free software, and you a...
true
afeb8078318b5d916ae0477424b7c2d97551fd9d
Shell
c-hydro/fp-hyde
/bin/utils/hyde_tools_cleaner_datasets_deprecated.sh
UTF-8
5,838
3.5
4
[ "MIT" ]
permissive
#!/bin/bash #----------------------------------------------------------------------------------------- # Script information script_name="HYDE UTILS - CLEANER DATASETS DEPRECATED - REALTIME" script_version="1.0.0" script_date="2021/02/22" #--------------------------------------------------------------------------------...
true
e73a15404e6bd4b0fde5a38e722cda58eae5da89
Shell
jjhazard/projects
/Operating Systems and Subprocesses/Prog03_jh/modder.sh
UTF-8
1,182
3.8125
4
[]
no_license
#!/bin/bash if ! [ "$#" -eq "2" ] then echo "$#" echo "Incorrect number of args." echo "Correct usage: script1.sh (image directory) (output folder)" exit 1 fi if ! [ -d "$1" ] then echo "First argument is not a directory." exit 1 fi if ! [ -d "$2" ] then echo "Second argument is not a directory." exit 1 fi var...
true
ec1f352aa1a9075f35f14b7a1ad1d1e3466cffc6
Shell
dmlc/dgl
/script/build_doc.sh
UTF-8
1,541
3.9375
4
[ "Apache-2.0" ]
permissive
#!/bin/bash set -e usage() { cat << EOF usage: bash $0 OPTIONS examples: Build doc with PyTorch-backend: bash $0 -p Build doc with MXNet-backend: bash $0 -m Build doc with TensorFlow-backend: bash $0 -t Build incrementally with PyTorch-backend: bash $0 Remove all outputs and restart a PyTorch build: bash $0...
true
86e188a3b5da2dd26c72e2591d659da60d6bebe6
Shell
luyGithub/hello-world-1
/icepack_luy/cesm_meltpond_pe/run_real/automatic_2d_parameter_estimate_1p_faster
UTF-8
1,966
2.859375
3
[]
no_license
#!/bin/sh -f clear echo '!_____________start_______________!' echo "the_dir_is:____ $PWD" echo "run started : `date`" for lon in $(seq 220 220) do for lat in $(seq 85 85) do echo "-------------- lon= $lon, lat= $lat -------------- " #preparing modis observation echo 'modifling matlab scrip...
true
c44f241fb8c7b6c94d69f48b211b06e5ae3e849d
Shell
apfadler/quil-src
/dist/bin/quil-client.sh
UTF-8
1,783
2.921875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash if [ -z "$QUIL_HOME" ]; then echo "Defaulting QUIL_HOME to" `pwd` export QUIL_HOME=`pwd` fi if [ -z "$QUIL_SERVER" ]; then echo "Defaulting QUIL_SERVER to localhost" export QUIL_SERVER=localhost fi if [ -z "$QUIL_PORT" ]; then echo "Defaulting QUIL_SERVER to 8081" export QUIL_PO...
true
b4861d151b62c852962986a9efb2324582e89fa7
Shell
davidnussio/meraki-root-cause
/deploy/docker-entrypoint.sh
UTF-8
159
2.859375
3
[ "MIT" ]
permissive
#!/bin/bash set -e echo "$@" if [ "$1" = 'frontend' ] || [ "$1" = 'backend' ]; then cd $1; shift echo "$@" exec /usr/local/bin/yarn "$@" fi exec "$@"
true
062fd1ad36c3e0231095a25115ce01094525ee98
Shell
Guirec/dotfiles
/shell/bash_aliases
UTF-8
3,085
3.109375
3
[]
no_license
#!/bin/bash # Easier navigation # ==================================================== alias ..="cd ../" # Go back 1 directory level alias ...="cd ../../" # Go back 2 directory levels alias .3="cd ../../../" # Go back 3 directory levels alias .4="cd ../../../../" # Go back 4 d...
true
04351694fda2ed424faee3f60fb84925913ad950
Shell
freehuoshan/script_store
/gitbook_script/auto_push_ghpages.sh
UTF-8
261
2.5625
3
[]
no_license
#!/bin/bash # 该脚本为自动提交gh-pages分支 echo "复制静态网页到gh-pages路径下" cp -rf _book/* gh-pages/ echo "复制成功" cd gh-pages git add ./* git commit -m "提交静态网页" git push origin gh-pages echo "推送成功........."
true
aa2b9c41435a118c036eaaf6a03a2c31dd01cd3d
Shell
Galunid/dotfiles-1
/scripts/entertainment-timer/entertainment-timer
UTF-8
919
4
4
[]
no_license
#! /bin/bash DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" if [ "$1" = "--help" ] || [ "$1" = "help" ] || [ -z "$1" ]; then echo "$ entertainment-timer" echo "CLI for the entertainment-timer-daemon" echo "" echo "Parameters:" echo " \$1: command" echo "" echo "Commands:" ech...
true
ffe043f5a5b5d29ac287aeae8a1bde5c0a7f58ac
Shell
milksteak-project/steaks
/packages/tiv/tiv.sh
UTF-8
1,018
4.0625
4
[]
no_license
#!/usr/bin/env bash TMPDIR="$HOME/usr/tmp" PACKAGE="TerminalImageViewer" VERSION="master" SOURCE="${PACKAGE}-${VERSION}" ZIP="${SOURCE}.zip" LINK="https://github.com/stefanhaustein/${PACKAGE}/archive/${VERSION}.zip" DEPS="imagemagick" # -- Install dependencies function install_dependencies() { brew install $DEPS }...
true
314ecdcd023dbd1c10c8f02850f231f099d8d928
Shell
portsbuild/portsbuild
/directadmin/scripts/custom/unblock_ip.sh
UTF-8
680
3.765625
4
[ "MIT" ]
permissive
#!/bin/sh #VERSION=2.2 # # Source: http://help.directadmin.com/item.php?id=380 BF=/root/blocked_ips.txt OS=$(uname) BLOCK_CHAIN=blocked_ips if [ "$ip" = "" ]; then printf "Usage:\n" echo " $0 1.2.3.4" exit 1 fi if [ ! -e "$BF" ]; then printf "Cannot find %s to unblock the IP.\n" "$BF" exit 2 fi COUNT=$(...
true
75f660472a57109c15f5dadc0a7659911d3468fc
Shell
WilliamGallifrey/PRGrepo
/bloque6/6b/2sis.sh
UTF-8
244
3.296875
3
[]
no_license
#!/bin/bash #Ejercicio 2 total=$( cat precipitaciones.txt | wc -l ) for i in $(awk -F " " '{print $2}' precipitaciones.txt); do suma=$(expr $suma + $i) done res=$(expr "$suma / $total" | bc -l) echo "La media de precipitaciones es $res"
true
de7e71dce1dbc36393a1d1fb76ceadc900a698d5
Shell
ipwnosx/iDrive-Linux-Backup
/Idrivelib/cronsetup/debian/btw-6.00_8.50/idrivecron
UTF-8
1,315
3.609375
4
[]
no_license
#!/bin/sh # Start/stop the __APP__cron daemon. # # @IDrive Inc # Created By : Sabin Cheruvattil ### BEGIN INIT INFO # Provides: __APP__cron # Required-Start: $remote_fs $syslog $time # Required-Stop: $remote_fs $syslog $time # Should-Start: $network $named slapd autofs ypbind nscd nslcd winbind # S...
true
0a57595763f60ee3b58d557d41b26cc80b9c3406
Shell
vtostaky/mssis-tp
/grands_reseaux/tp1/test4.sh
UTF-8
191
2.71875
3
[]
no_license
#!/bin/sh awk ' BEGIN{ }{ if($1=="interface"){ interface = $0; } if($1 == "ip" && $2 == "address" && $3~/192[.]/){ print interface, $0; } }END{ }' conf1.txt
true
ecde5739e5f846bc85174393764366856bfe7075
Shell
Claude-Ray/dotfiles
/.config/yadm/bootstrap
UTF-8
4,607
3.0625
3
[]
no_license
#!/bin/bash pacman_packages=( git clash zsh tmux lsd ripgrep skim bat diskus htop bashtop cmake libvterm qutebrowser # nvidia # nvidia-utils xorg xorg-server xorg-xinit xclip wqy-microhei ttf-dejavu fcitx5-rime fcitx5-confi...
true
35daf9293995cd998dfc21adb0ffcaa3c7d8aa13
Shell
toransahu/post-linux-install
/src/install_barrier.sh
UTF-8
655
2.75
3
[]
no_license
#!/usr/bin/env bash # # install_barrier.sh # Copyright (C) 2021 Toran Sahu <toran.sahu@yahoo.com> # # Distributed under terms of the MIT license. # mkdir -p ~/.tmp && cd ~/.tmp sudo apt install git cmake make xorg-dev g++ libcurl4-openssl-dev \ libavahi-compat-libdnssd-dev libssl-dev libx11-dev \ ...
true
cae5ebae1e8152e915bee8b779a5ec360d484edf
Shell
Noughmad/Sola
/Modelska Analiza/Zakljucna/Data/delta.sh
UTF-8
266
2.984375
3
[]
no_license
#!/bin/sh MU=$1 for DELTA in -2.094 0 2.094; do OUTPUT="g_lambert_${MU}_${DELTA}.dat" rm -f ${OUTPUT} for T in {1..50}; do echo "Starting ${MU}, ${DELTA}, ${T}" ../Planetki/build/planetki $MU $DELTA $T 500 0 2&>> ${OUTPUT}; done done
true
e257ae76d77d8af23ce5ff8b2c4ba9ecaf861fbc
Shell
void-linux/void-packages
/common/build-style/slashpackage.sh
UTF-8
766
2.921875
3
[ "BSD-2-Clause" ]
permissive
# # This helper is for templates building slashpackage software. # http://cr.yp.to/slashpackage.html # # required variables # # build_style=slashpackage # build_wrksrc=${pkgname}-${version} # distfiles=<download link> # # example (daemontools) # # Template file for 'daemontools' # pkgname=daemontools # vers...
true
2eb0d3cc4b4e960ada7857ec6752cfcbb7765d48
Shell
datawire/jenkins-image
/bin/functions.sh
UTF-8
1,041
3.046875
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Copyright 2016 Datawire. All rights reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by ...
true
dda8c423524c89884c730d9b67a7b218b8224b36
Shell
ChPfisterer/k8s-demos
/scripts/k8s-setup/01-setup-all.sh
UTF-8
1,615
3.765625
4
[]
no_license
#! /bin/bash echo "Set variables" read -r -p "Enter Hostname: " HOSTNAME read -r -p "Enter static IP address (e. g. 192.168.1.10): " STATIC_IP read -r -p "Enter Gateway address (e. g. 192.168.1.1): " GATEWAY4 read -r -p "Enter Admin Username: " ADMIN_USR read -s -r -p "Enter Admin users password: " ADMIN_USR_PASSWD ...
true
9ff9210696bea95488f286720d5eaf896c43b851
Shell
aeroberts/dotfiles
/welcome.sh
UTF-8
1,180
3.65625
4
[]
no_license
#!/bin/bash h=`date +%H` TOTAL_SPACES=44 echo //--------------------------------------------// echo '// //' if [ $h -lt 12 ]; then echo '// ☕️ Good morning ☕️ //' elif [ $h -lt 18 ]; then echo '// Good afternoon //' el...
true
90f2359f1c72c32d2f1e1757d3cd82ab7f7130fb
Shell
bornej/M1-collected-works
/OpenMP-Benchmark/src/run_bubble.sh
UTF-8
436
2.90625
3
[]
no_license
#!/bin/bash # M1 Informatique IM2AG-UGA # Parallel Algorithms and Programming - TP2: # Borne Jonathan Isnel Maxime echo "Algo_type;Nb_threads;Chunk_size;Nb_blocs;Bloc_size;Run_id;Time" > bubble_1_16.csv for runID in {0..9}; do for blocksize in 8 16 32 64 128 256 512 1024 2048; do echo BLOCKSIZE $blocksize for...
true
cc29ff44b1e37a8100a4eb48ee2a0e961133645a
Shell
KumareshBabuNS/data-lifecycle-service-broker
/deploy.sh
UTF-8
785
2.96875
3
[ "Apache-2.0" ]
permissive
#!/bin/sh cf service lifecycle-sb-db 2>&1 > /dev/null if [ $? -ne 0 ] ; then echo "INFO: Creating database for broker" cf create-service p-mysql 100mb-dev lifecycle-sb-db else echo "INFO: Database for broker already exists.... skipping" fi echo "INFO: Pushing broker" cf push --no-start #This assumes your credenti...
true
1f1d8222552570238ee4fa804e70913222c5129f
Shell
ryuichiueda/kaigan_shellscript
/201304/edge.sh
UTF-8
663
2.953125
3
[]
no_license
#!/bin/bash -xv tmp=/tmp/$$ sed 's/#.*$//' $1 | tr ' ' '\n' | awk 'NF==1' > $tmp-ppm W=$(head -n 2 $tmp-ppm | tail -n 1) H=$(head -n 3 $tmp-ppm | tail -n 1) D=$(head -n 4 $tmp-ppm | tail -n 1) tail -n +5 $tmp-ppm | awk -v w=$W -v h=$H -v d=$D \ 'BEGIN{print "P3",w-2,h-2,d} NR%3==1{n=(NR-1)/3;r[n%w,int(n/w)] = $1...
true
f649ab6994d91843641f1387ad6158a505e5c58e
Shell
hisashiyashiro/scale
/scale-rm/test/case/boxaero/no_banana_na1e4/visualize/visualize.sh
UTF-8
475
3.078125
3
[ "BSD-2-Clause", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
#! /bin/bash -x ### Visalization ### echo "+visualize by gpview" rm -f dcl.pdf var__set=(CN CCN) rangeset=(auto auto) time_set= i=0 for var in ${var__set[@]} do if [ ${rangeset[$i]} == "auto" ]; then range="" else range="--range="${rangeset[$i]} fi # time series gpview history.pe\*.nc@${v...
true
ae0264c9a3dcd452dc5efd33c51de4f1a9fdee12
Shell
LeeoSilva/dotfiles
/zsh/zshrc
UTF-8
3,680
2.609375
3
[]
no_license
# Path to your oh-my-zsh installation. export ZSH=~/.oh-my-zsh # Exporting Neo-Vim as editor export EDITOR="nvim" export VISUAL="nvim" export TERM=xterm-256color ## User configuration export LANG=en_US.UTF-8 # C-Family env export LD_LIBRARY_PATH=/usr/lib/ ## Exporting .local to PATH export PATH=~/.local/bin/:$PATH ...
true
3574ade8d0bbdb843c504fce5daccf0619778912
Shell
ilin-in/OP
/hookflash-libs/curl/projects/gnu-make/build_old
UTF-8
6,845
3.9375
4
[ "BSD-2-Clause-Views" ]
permissive
#!/bin/bash # -*- coding: UTF-8 -*- # Script for building curl library for multiple platforms. ### Define text styles ########### TXT_C="tput setaf" # set text color in BGR format TXT_R="tput sgr0" # reset text format TXT_B="tput bold" # set bold TXT_U="tput sgr 0 1" # set underlined # Detect directory...
true
72fc085664e319e5f81ac25b69e67df1d598d04d
Shell
braven112/WC-Generator
/util/auroUpgrade.sh
UTF-8
1,198
3.640625
4
[ "Apache-2.0" ]
permissive
## Generate a new baseline install of an auro component # Argument expected: name of new repo function generaterepo { command wc-generate --test --name "$1" } ## Migrade files from legacy repo to new build # Arguments expected: name of old repo, name of new repo function auroupgrade { GREEN='\033[0;32m' RED='\0...
true
4c0ccfcc87c7861fa2b102291059133e9ef356f0
Shell
makerspace/makeradmin
/db_restore.sh
UTF-8
669
4.0625
4
[]
no_license
#!/bin/bash file_path="$1" if [ -z "$file_path" ]; then echo "Usage: db_restore.sh <path to sql file>" exit 1 fi if [ ! -f "$file_path" ]; then echo "File not found: $file_path" exit 1 fi # Prompt for confirmation before restoring while true; do read -p "This will delete your current database!! A...
true
3aff9dc7aa6baa90325e9b9b1e600cb0288351dd
Shell
nanoant/archmac-packages
/extra/python3-recommonmark/PKGBUILD
UTF-8
1,643
2.546875
3
[]
no_license
# Ported from Arch Linux: # https://git.archlinux.org/svntogit/community.git/plain/trunk/PKGBUILD?h=packages/python-recommonmark # Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org> pkgname=python3-recommonmark pkgver=0.6.0 pkgrel=2 _gitcommit=48f9d1a6848c77a104854f556c053f3ed3c2c354 pkgdesc='Markdown parser ...
true
9840879c0b3956594462f9d3c04561834dca2f9f
Shell
keyko-io/filecoin-verifier-service
/e2e-test/setup.sh
UTF-8
2,163
2.765625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash export JSDIR=/filecoin-verifier-tools/ sleep 20 lotus wait-api lotus chain head export MAIN=$(cat localnet.json | jq -r '.Accounts | .[0] | .Meta .Owner') export ROOT1=t1vzw5hg23fn7ob4gfpzmzej7h76h6gjr3572elvi # t0101 export ROOT2=t1cncuf2kvfzsmsij3opaypup527ounnpwhiicdci # t0102 # Send funds to root...
true
ca6890e706914048a7c9323ad96eb22f0807bb28
Shell
flarouche3129/seg3103_playground
/Lab4/fizzbuzz_java/bin/test
UTF-8
694
2.515625
3
[]
no_license
#!/bin/bash # Remove any class files from dist rm -f ./dist/*.class #Remove for Windows rm ./dist/*.class # Compile the application javac -encoding UTF-8 --source-path src -d dist src/*.java # Run the app java -cp ./dist FizzBuzz # Compile the tests javac -encoding UTF-8 --source-path test -d dist -cp dist:lib/jun...
true
14e4c608ad631687131fe47d45a16f1599559e90
Shell
flexbuild/flexbuild
/src/misc/tsize.sh
UTF-8
684
3.78125
4
[ "BSD-2-Clause" ]
permissive
#!/bin/bash # # Copyright 2019 NXP # # SPDX-License-Identifier: BSD-3-Clause # # This script queries terminal for current window size and does a stty # to set rows and columns to that size. It is useful for terminals that # are confused about size. This often happens when accessing consoles # via a serial port. if [...
true
43f2a8e571054b78a186a133a00cb25d743b5025
Shell
silverstripe/silverstripe-behat-extension
/bin/behat-ss
UTF-8
482
2.984375
3
[ "MIT" ]
permissive
#!/bin/sh echo "setting up /artifacts" mkdir -p artifacts echo "starting chromedriver" chromedriver &> artifacts/chromedriver.log 2> artifacts/chromedriver-error.log & cd_pid=$! echo "starting webserver" vendor/bin/serve &> artifacts/serve.log 2> artifacts/serve-error.log & ws_pid=$! echo "starting behat" vendor/bin...
true
985bc91f0f07cfadb29b8c1818ba0667bb79f5d8
Shell
rifqi96/stakewithus-frontend
/docker-etc/node/start.sh
UTF-8
273
3.015625
3
[]
no_license
#!/bin/sh # If node_modules folder exists, don't npm ci unless --npm-i option is set if [ ! -d "node_modules" ] || [ "$FORCE_NPM_I" == "true" ] ; then npm ci fi if [ "$NODE_ENV" == "production" ] ; then npm run build http-server dist -p 8080 else npm run serve fi
true
2d8c0510148b92322a8ca598be51d81bc347caa6
Shell
colegatron/nginx-lua-pagespeed
/set2.sh
UTF-8
5,756
3.09375
3
[]
no_license
# This will provide nginx version 1.12.0 echo -e "\nUsage: $0" echo "Run it from any folder, will download and build everything under /tmp/build" echo -e "\nYou will also need the pre-modified rules-1.12.0 file to build the nginx-extras with lua+googlespeed modules among others" echo -e "\nAt the end of the process y...
true
0f968beebf2f1405b6fe2925f599e7834b5fc0e5
Shell
9001/usr-local-bin
/vmdelta
UTF-8
602
3.40625
3
[]
no_license
#!/bin/bash set -e xzhash() { mkdir -p hash; [ $(stat -c%Y -- "$1") -eq $(stat -c%Y -- "hash/$1" 2>/dev/null || echo 0) ] && return; printf 'hashing %s\n' "$1"; pixz -dtk < "$1" | sha512sum | cut -c-128 > "hash/$1"; touch -r "$1" -- "hash/$1"; } mkpatch() { f1="$2"; f2="$3"; fp="$f1.XD3$1"; printf '%s » %s = %s\n' "$...
true
f87da02b3d32b315cbb5cc11eaa7f29b74fdba14
Shell
finwo/cookie.jar
/one.sh
UTF-8
305
3.203125
3
[]
no_license
#!/usr/bin/env bash # Get env WD="$(dirname $0)" JSE=$(command -v node nodejs mujs | head -n 1) # Update submodules git submodule update --init --recursive &>/dev/null # Find file & print it FILE=$(find "${WD}/jar" -type f -name \*.json | shuf -n 1) [ -z "${FILE}" ] || cat "${FILE}" | $JSE $WD/one.js
true
6dbdb6b855f6ee4b3bd864e3214a94e95aa728b3
Shell
wlsherica/FunTime
/ehc2015/log_parser.sh
UTF-8
311
3.296875
3
[]
no_license
#!/bin/bash #Objective: parser log file #Usage: sh -x log_parser.sh actionCount=0 while read line; do actionBool=0 if [[ "$line" = *group=ec* ]]; then actionBool=1 (( actionCount++ )) fi done < /Users/etu/data/log.txt echo "Ans. There are $actionCount action keywords from log."
true
540ac696be03835502f42fe9938aff6fa198a11f
Shell
SixArm/maildir-mkdir
/maildir-mkdir
UTF-8
1,315
3.484375
3
[]
no_license
#!/bin/sh # # Maildir shell script: # make a Maildir directory and subdirectories. # # Syntax: # # maildir-mkdirs [path] # # This script makes the required directories: # # * `cur` for current mail # * `new` for new mail # * `tmp` for temporary files # # This script also makes the popular diectories for IM...
true
494062fe503a34eb14111e55842cd745846c4f25
Shell
apples723/terraformify
/terraformify.sh
UTF-8
2,344
4.46875
4
[]
no_license
#!/usr/bin/env bash #generates a EC2 module from template files #to use this script effectivly: # 1. copy this hole folder to a directory (i.e ~/.tf_generator) # 2. add that directory to your path (i.e export PATH=$PATH:~/.tf_generator) # 3. update the template paths accordingly __usage=" Usage: new_ec2 [OPTIONS]...
true
e1936129f26be1a721a9ff6d97c36264d93dc22d
Shell
bichpham/GPIO-Midi
/DependeciesInstall.sh
UTF-8
1,990
2.984375
3
[]
no_license
#!/bin/sh echo "Begin script" sudo apt-get install libasound2-dev if [ $? -eq 0 ]; then echo "libasound2-dev success" else echo "libasound2-dev failed" exit 1 fi sudo apt-get install libglib2.0-dev -y if [ $? -eq 0 ]; then echo "libglib2.0-dev success" else echo "libglib2.0-dev failed" exit 1 ...
true
cbe1f92df435f77520251fbe0b5a489a87bec04e
Shell
pingcai/java-staging
/java-test/deploy/build.sh
UTF-8
373
2.859375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # 正常情况下源码和实际运行的jar不能放在一起 # 可以考虑构建完成后清除源代码和Git prof=$profile # 如果不指定profile, 默认为dev [ ! $a ] && export prof=dev echo "current environment: $prof" PWD=`pwd` cd .. mvn clean -U mvn package -Dmaven.test.skip=true -P $prof mv target/java-test*.jar target/java-test.jar cd $PWD
true
b11883ad07dbc01b2e001968201fed9eafb621f2
Shell
vikjam/docker
/r-bionic/userconf.sh
UTF-8
337
2.8125
3
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/with-contenv bash # set defaults for environmental variables in case they are undefined NB_USER=${NB_USER:=jovyan} RPASSWORD=${RPASSWORD:=rstudio} # works for jupyterlab but conflicts with rstudio on alternate port # export JPASSWORD=${JPASSWORD:=jupyter} # add a password for user echo "$NB_USER:$RPASSWOR...
true
6de36939c4c81dac1d9d370d369ff2d64749eb5c
Shell
cbrdy/ocpstuff
/scripts/deploy_lab.sh
UTF-8
2,364
2.671875
3
[]
no_license
TYPE=$1 TEMPLATE=rhel7 #echo "Cleaning up data dirs..." #ssh root@storage /cloud/scripts/osev3/cleanup.sh if [ "$TYPE" == "oso" ]; then TEMPLATE=centos7 echo "- using $TEMPLATE base image" ssh root@hv2.home.nicknach.net /cloud/scripts/new.sh omaster01 $TEMPLATE 8192 2 52:54:00:18:55:49 & ssh root@hv3.home.nicknac...
true
1226cb91442d40ae2816de4b4e56a191c2917a81
Shell
alonappleboim/nflab_scripts
/shell/parallel_exec_bash/examples_parallel/simplest/merge_all.bash
UTF-8
174
2.65625
3
[]
no_license
#! /bin/bash while read line do echo "merging $line"; done < "/dev/stdin" # ^not really using the input, just an example of how to do it paste f*.tmp > all.tmp rm f*.tmp
true
fce02f387689e17dea2caf42ef414087a561a75b
Shell
maxird/docker-images
/templates/wait-svc/generate.sh
UTF-8
389
3.84375
4
[]
no_license
#!/bin/bash SRCDIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" HEREDIR=`basename $SRCDIR` OUTDIR="$SRCDIR/../../images/$HEREDIR" function process { image=$1 base=$2 outpath="$OUTDIR/$image/$base" mkdir -p "$outpath" cp Dockerfile "$outpath/Dockerfile" cp wait.sh "$outpath/wait.sh" } BASE_IMAGE="c...
true